#include <iostream>
#include <vector>

using namespace std;

const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;


double findMin(vector<double> values)
{
    double min;
    min = values[0];
    for (size_t i = 1; i < values.size(); i++)
        if (values[i] < min)
            min = values[i];
    return min;
}

double findMax(vector<double> values)
{
    double max;
    max = values[0];
    for (size_t i = 1; i < values.size(); i++)
        if (values[i] > max)
            max = values[i];
    return max;
}

size_t findMax(vector<size_t> values)
{
    size_t max;
    max = values[0];
    for (size_t i = 1; i < values.size(); i++)
        if (values[i] > max)
            max = values[i];
    return max;
}

vector<size_t> GetCarts(vector<double> values, size_t cartsCount)
{
    vector<size_t> carts(cartsCount);
    double min = findMin(values);
    double max = findMax(values);
    double step = (max - min) / cartsCount;
    for (size_t i = 0; i < values.size(); i++)
    {
        bool found = false;
        for (size_t j = 0; (j < cartsCount - 1) && !found; j++)
        {
            auto lo = min + j * step;
            auto hi = min + (j + 1) * step;
            if ((lo <= values[i]) && (values[i] < hi))
            {
                carts[j]++;
                found = true;
            }
        }
        if (!found)
            carts[cartsCount - 1]++;
    }
    return carts;
}

vector<double> inputValues()
{
    size_t valuesLen;
    cin >> valuesLen;
    vector<double> values(valuesLen);
    for (size_t i = 0; i < valuesLen; i++)
        cin >> values[i];
    return values;
}

size_t inputCartsCount()
{
    size_t cartsCount;
    cin >> cartsCount;
    return cartsCount;
}

vector<size_t> ScaleCart(vector<size_t> carts, size_t max)
{
    if (max < MAX_ASTERISK)
        max = MAX_ASTERISK;
    vector<size_t> cartsScales(carts.size());
    for (size_t i = 0; i < carts.size(); i++)
        cartsScales[i] = MAX_ASTERISK * (static_cast<double>(carts[i]) / max);
    return cartsScales;
}

void outputCarts(vector<size_t> carts)
{
    size_t max = findMax(carts);
    vector<size_t> cartsScales = ScaleCart(carts, max);
    for (size_t i = 0; i < carts.size(); i++)
    {
        if (carts[i] < 100)
            cout << " ";
        if (carts[i] < 10)
            cout << " ";
        cout << carts[i] << "|";
        for (size_t j = 0; j < cartsScales[i]; j++)
            cout << "*";
        cout << endl;
    }

}

int main()
{
    vector<double> values = inputValues();
    size_t cartsCount = inputCartsCount();
    vector<size_t> carts = GetCarts(values, cartsCount);
    outputCarts(carts);
}

